diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-rx-trace-helper-test.cc ns-3.44/src/wifi/test/wifi-phy-rx-trace-helper-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-rx-trace-helper-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-rx-trace-helper-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -1886,12 +1882,12 @@
 }
 
 void
-TestWifiPhyRxTraceHelperYans::SendPpduWithTwoMpdus(double rxPowerDbm,
+TestWifiPhyRxTraceHelperYans::SendPpduWithTwoMpdus(dBm_u rxPower,
                                                    Mac48Address receiver1,
                                                    Mac48Address receiver2,
                                                    Ptr<ns3::YansWifiPhy> tx_phy)
 {
-    propLoss->SetRss(rxPowerDbm);
+    propLoss->SetRss(rxPower);
 
     WifiTxVector txVector = WifiTxVector(HePhy::GetHeMcs0(),
                                          0,
@@ -1900,7 +1896,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          true);
 
     std::vector<Ptr<WifiMpdu>> mpduList;
@@ -1920,12 +1916,12 @@
     mpduList.emplace_back(Create<WifiMpdu>(p2, hdr2));
 
     auto psdu = Create<WifiPsdu>(mpduList);
-    auto ppdu =
-        Create<HePpdu>(psdu,
-                       txVector,
-                       tx_phy->GetOperatingChannel(),
-                       tx_phy->CalculateTxDuration(psdu->GetSize(), txVector, tx_phy->GetPhyBand()),
-                       m_uid);
+    auto ppdu = Create<HePpdu>(
+        psdu,
+        txVector,
+        tx_phy->GetOperatingChannel(),
+        YansWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, tx_phy->GetPhyBand()),
+        m_uid);
 
     m_uid++;
 
@@ -1933,11 +1929,11 @@
 }
 
 void
-TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu(double rxPowerDbm,
+TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu(dBm_u rxPower,
                                                   Mac48Address receiver1,
                                                   Ptr<ns3::YansWifiPhy> tx_phy)
 {
-    propLoss->SetRss(rxPowerDbm);
+    propLoss->SetRss(rxPower);
 
     auto txVector = WifiTxVector(HePhy::GetHeMcs0(),
                                  0,
@@ -1946,7 +1942,7 @@
                                  1,
                                  1,
                                  0,
-                                 20,
+                                 MHz_u{20},
                                  true);
 
     std::vector<Ptr<WifiMpdu>> mpduList;
@@ -1959,12 +1955,12 @@
     mpduList.emplace_back(Create<WifiMpdu>(p1, hdr1));
 
     auto psdu = Create<WifiPsdu>(mpduList);
-    auto ppdu =
-        Create<HePpdu>(psdu,
-                       txVector,
-                       tx_phy->GetOperatingChannel(),
-                       tx_phy->CalculateTxDuration(psdu->GetSize(), txVector, tx_phy->GetPhyBand()),
-                       m_uid);
+    auto ppdu = Create<HePpdu>(
+        psdu,
+        txVector,
+        tx_phy->GetOperatingChannel(),
+        YansWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, tx_phy->GetPhyBand()),
+        m_uid);
 
     m_uid++;
 
@@ -2046,7 +2042,7 @@
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(2);
     int64_t streamNumber = 1;
-    double rxPowerDbm = -80;
+    dBm_u rxPower{-80};
     streamNumber += m_txA->AssignStreams(streamNumber);
     streamNumber += m_txB->AssignStreams(streamNumber);
     streamNumber += m_rx->AssignStreams(streamNumber);
@@ -2066,7 +2062,7 @@
     Simulator::Schedule(Seconds(0.1),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_txA);
@@ -2100,12 +2096,12 @@
     expectedStats.m_failedMpdus = 1;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 1;
-    rxPowerDbm = -83;
+    rxPower = dBm_u{-83};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.3),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_txA);
@@ -2140,12 +2136,12 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.5),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_txA);
@@ -2180,12 +2176,12 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -83;
+    rxPower = dBm_u{-83};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.7),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_txA);
@@ -2221,19 +2217,19 @@
     expectedStats.m_failedMpdus = 2;
     expectedStats.m_overlappingPpdus = 2;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
     // A-MPDU 2
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txB);
 
@@ -2268,19 +2264,19 @@
     expectedStats.m_failedMpdus = 1;
     expectedStats.m_overlappingPpdus = 1;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
     // A-MPDU 2
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         m_txB);
 
@@ -2318,14 +2314,14 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 1;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     m_rxTraceHelper.Start(Seconds(1.29));
 
     // A-MPDU 1
     Simulator::Schedule(Seconds(1.3),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -2361,7 +2357,7 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
 
     m_rxTraceHelper.Start(Seconds(1.41));
 
@@ -2371,7 +2367,7 @@
     Simulator::Schedule(Seconds(1.45),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -2405,13 +2401,13 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 1;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
 
     // A-MPDU 1
     Simulator::Schedule(Seconds(1.6),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -2449,7 +2445,7 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
 
     m_rxTraceHelper.Start(Seconds(1.79));
 
@@ -2457,7 +2453,7 @@
     Simulator::Schedule(Seconds(1.8),
                         &TestWifiPhyRxTraceHelperYans::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -2491,10 +2487,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi PHY reception Test Suite
+ * @brief wifi PHY reception Test Suite
  */
 class WifiPhyRxTraceHelperTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-thresholds-test.cc ns-3.44/src/wifi/test/wifi-phy-thresholds-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-thresholds-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-thresholds-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -29,14 +29,14 @@
 NS_LOG_COMPONENT_DEFINE("WifiPhyThresholdsTest");
 
 static const uint8_t CHANNEL_NUMBER = 36;
-static const MHz_u FREQUENCY = 5180;
-static const MHz_u CHANNEL_WIDTH = 20;
+static const MHz_u FREQUENCY{5180};
+static const MHz_u CHANNEL_WIDTH{20};
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Threshold Test base class
+ * @brief Wifi Phy Threshold Test base class
  */
 class WifiPhyThresholdsTest : public TestCase
 {
@@ -44,58 +44,58 @@
     /**
      * Constructor
      *
-     * \param test_name the test name
+     * @param test_name the test name
      */
     WifiPhyThresholdsTest(std::string test_name);
 
   protected:
     /**
      * Make wifi signal function
-     * \param txPower the transmit power
-     * \param channel the operating channel of the PHY used for the transmission
-     * \returns Ptr<SpectrumSignalParameters>
+     * @param txPower the transmit power
+     * @param channel the operating channel of the PHY used for the transmission
+     * @returns Ptr<SpectrumSignalParameters>
      */
     virtual Ptr<SpectrumSignalParameters> MakeWifiSignal(Watt_u txPower,
                                                          const WifiPhyOperatingChannel& channel);
     /**
      * Make foreign signal function
-     * \param txPower the transmit power
-     * \returns Ptr<SpectrumSignalParameters>
+     * @param txPower the transmit power
+     * @returns Ptr<SpectrumSignalParameters>
      */
     virtual Ptr<SpectrumSignalParameters> MakeForeignSignal(Watt_u txPower);
     /**
      * Send signal function
-     * \param txPower the transmit power
-     * \param wifiSignal whether the signal is a wifi signal or not
+     * @param txPower the transmit power
+     * @param wifiSignal whether the signal is a wifi signal or not
      */
     virtual void SendSignal(Watt_u txPower, bool wifiSignal);
     /**
      * PHY receive success callback function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     virtual void RxSuccess(Ptr<const WifiPsdu> psdu,
                            RxSignalInfo rxSignalInfo,
-                           WifiTxVector txVector,
-                           std::vector<bool> statusPerMpdu);
+                           const WifiTxVector& txVector,
+                           const std::vector<bool>& statusPerMpdu);
     /**
      * PHY receive failure callback function
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     virtual void RxFailure(Ptr<const WifiPsdu> psdu);
     /**
      * PHY dropped packet callback function
-     * \param p the packet
-     * \param reason the reason
+     * @param p the packet
+     * @param reason the reason
      */
     void RxDropped(Ptr<const Packet> p, WifiPhyRxfailureReason reason);
     /**
      * PHY state changed callback function
-     * \param start the start time of the new state
-     * \param duration the duration of the new state
-     * \param newState the new state
+     * @param start the start time of the new state
+     * @param duration the duration of the new state
+     * @param newState the new state
      */
     virtual void PhyStateChanged(Time start, Time duration, WifiPhyState newState);
 
@@ -146,7 +146,7 @@
 
     auto psdu = Create<WifiPsdu>(pkt, hdr);
     const auto txDuration =
-        m_phy->CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
+        SpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
 
     auto ppdu = Create<OfdmPpdu>(psdu, txVector, channel, 0);
 
@@ -194,8 +194,8 @@
 void
 WifiPhyThresholdsTest::RxSuccess(Ptr<const WifiPsdu> psdu,
                                  RxSignalInfo rxSignalInfo,
-                                 WifiTxVector txVector,
-                                 std::vector<bool> statusPerMpdu)
+                                 const WifiTxVector& txVector,
+                                 const std::vector<bool>& statusPerMpdu)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_rxSuccess++;
@@ -268,10 +268,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Threshold Weak Wifi Signal Test
+ * @brief Wifi Phy Threshold Weak Wifi Signal Test
  *
  * This test makes sure PHY ignores a Wi-Fi signal
  * if its received power lower than RxSensitivity.
@@ -291,7 +291,7 @@
 void
 WifiPhyThresholdsWeakWifiSignalTest::DoRun()
 {
-    const auto txPower = DbmToW(-110);
+    const auto txPower = DbmToW(dBm_u{-110});
 
     Simulator::Schedule(Seconds(1),
                         &WifiPhyThresholdsWeakWifiSignalTest::SendSignal,
@@ -313,10 +313,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Threshold Weak Foreign Signal Test
+ * @brief Wifi Phy Threshold Weak Foreign Signal Test
  *
  * This test makes sure PHY keeps the state as IDLE if reception involves
  * a foreign signal with a received power lower than CcaEdThreshold.
@@ -341,7 +341,7 @@
 void
 WifiPhyThresholdsWeakForeignSignalTest::DoRun()
 {
-    const auto txPower = DbmToW(-90);
+    const auto txPower = DbmToW(dBm_u{-90});
 
     Simulator::Schedule(Seconds(1),
                         &WifiPhyThresholdsWeakForeignSignalTest::SendSignal,
@@ -362,10 +362,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Threshold Strong Wifi Signal Test
+ * @brief Wifi Phy Threshold Strong Wifi Signal Test
  *
  * This test makes sure PHY processes a Wi-Fi signal
  * with a received power higher than RxSensitivity.
@@ -390,7 +390,7 @@
 void
 WifiPhyThresholdsStrongWifiSignalTest::DoRun()
 {
-    const auto txPower = DbmToW(-60);
+    const auto txPower = DbmToW(dBm_u{-60});
 
     Simulator::Schedule(Seconds(1),
                         &WifiPhyThresholdsStrongWifiSignalTest::SendSignal,
@@ -415,10 +415,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Threshold Strong Foreign Signal Test
+ * @brief Wifi Phy Threshold Strong Foreign Signal Test
  *
  * This test makes sure PHY declare the state as CCA_BUSY if reception involves
  * a foreign signal with a received power higher than CcaEdThreshold.
@@ -443,7 +443,7 @@
 void
 WifiPhyThresholdsStrongForeignSignalTest::DoRun()
 {
-    const auto txPower = DbmToW(-60);
+    const auto txPower = DbmToW(dBm_u{-60});
 
     Simulator::Schedule(Seconds(1),
                         &WifiPhyThresholdsStrongForeignSignalTest::SendSignal,
@@ -463,10 +463,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Thresholds Test Suite
+ * @brief Wifi Phy Thresholds Test Suite
  */
 class WifiPhyThresholdsTestSuite : public TestSuite
 {
